this lisp routine allows you to draw a leader and after entering A for arc, the pline changes to an arc. I have been asked to modify this so after it draws the first arc, it continues a second arc at the end of the first arc. please help. (defun c:NLEADER() (prompt " Are the DIMSCALE and DIMASZ variables set? ") (setq SP (getpoint " Arrow start point")) (setq ANGP (getpoint SP " Arrow angle")) (setq ARRANG (angle SP ANGP)) (if (= 0.0 (getvar "DIMASZ")) (setq LENG 1.0) (setq LENG (* 1.3 (getvar "DIMASZ"))) ) (setq EP (polar SP arrang (* LENG (getvar "DIMSCALE")))) (setq PLENG (* 0.20 LENG (getvar "DIMSCALE"))) (command ".PLINE" SP "W" "0.0" PLENG EP "W" "0.0" "0.0" "") (command ".PLINE" EP "LINE" PAUSE PAUSE "") (COMMAND ".CHANGE" (ENTLAST) "" "P" "LT" "CONTINUOUS" "P" "C" "7") (COMMAND "") )